# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['iaf',
 'iaf.color',
 'iaf.filter',
 'iaf.fit',
 'iaf.fit.metrics',
 'iaf.fit.models',
 'iaf.io',
 'iaf.io.cast',
 'iaf.io.readers',
 'iaf.io.utils',
 'iaf.morph',
 'iaf.morph.strel_3d',
 'iaf.morph.watershed',
 'iaf.notebook',
 'iaf.plot',
 'iaf.plot.utils',
 'iaf.plot.validation',
 'iaf.process']

package_data = \
{'': ['*']}

install_requires = \
['Pillow>=9.1.1,<10.0.0',
 'centrosome>=1.2.1,<2.0.0',
 'h5py>=3.7.0,<4.0.0',
 'ipython>=8.4.0,<9.0.0',
 'jupyter>=1.0.0,<2.0.0',
 'matplotlib==3.5.1',
 'nd2reader>=3.3.0,<4.0.0',
 'numpy>=1.22.4,<2.0.0',
 'opencv-python>=4.5.5,<5.0.0',
 'pandas>=1.4.2,<2.0.0',
 'requests>=2.27.1,<3.0.0',
 'scikit-image>=0.19.2,<0.20.0',
 'scikit-learn>=1.1.1,<2.0.0',
 'scipy>=1.8.1,<2.0.0',
 'tifffile>=2022.5.4,<2023.0.0']

setup_kwargs = {
    'name': 'iaf',
    'version': '0.3.0',
    'description': 'Code repository for the Practical Course "Methods in Cell Analysis and Laboratory Automation" (Biotechnology Master Students).',
    'long_description': 'None',
    'author': 'Aaron Ponti',
    'author_email': 'aaron.ponti@bsse.ethz.ch',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://git.bsse.ethz.ch/pontia/iaf.git',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<3.11',
}


setup(**setup_kwargs)
